/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Mar 28, 2009
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.Cocoa.NSObject;

import mambo.io;

import dstep.objc.bridge.Bridge;
import dstep.objc.bridge.Wrapper;



class NSObject : ObjcWrapper
{
	mixin ObjcWrap;
	
	int i = 34;
	
	NSObject foo (NSObject o)
	{
		println("foo in NSObject");
		o.add(1, 2);
		println(this is o);
	    
		this.add(3, 4);
	
		return this;
	}
	
	mixin ObjcBindMethod!(foo);
	
	int add (int x, int y)
	{
		println(x + y);
		return x + y;
	}
	
	mixin ObjcBindMethod!(add);
}